package com.zy.aclservice.serurity.handler;//package com.zy.springsecurityoauth2.handler;

import com.zy.commonutils.R;
import com.zy.servicebase.utils.ResponseUtil;
import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.web.access.AccessDeniedHandler;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author zhangyu
 * @description 权限处理类
 */
//@Component
public class UserAccessDeniedHandler implements AccessDeniedHandler {

	@Override
	public void handle(HttpServletRequest request, HttpServletResponse response,
			AccessDeniedException accessDeniedException) throws IOException, ServletException {
		ResponseUtil.out(response, R.error().message("授权失败！"));
	}

}
