package com.zy.eduservice.controller;

import com.zy.commonutils.R;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author zhangyu
 */
@RestController
@RequestMapping("/eduservice/user")
public class EduLoginController {

    //Login
    @PostMapping("login")
    public R login() {
        return R.ok().data("token", "admin");
    }

    //info
    @GetMapping("info")
    public R info() {
        return R.ok().data("roles", "admin").data("avatar", "https://cdn.jsdelivr.net/gh/Rainbow503/PicGo/img/f778738c-e4f8-4870-b634-56703b4acafe.gif");
    }
}
