package com.zy.usercenterservice.service;

import com.zy.usercenterservice.entity.UcenterMember;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.usercenterservice.entity.vo.RegisterVo;

/**
 * <p>
 * 会员表 服务类
 * </p>
 *
 * @author zyGardenia
 * @since 2022-03-22
 */
public interface UcenterMemberService extends IService<UcenterMember> {
    String login(UcenterMember ucenterMember);

    void register(RegisterVo registerVo);

    UcenterMember getMenberByOperid(String openid);

    Integer countRegisterDaily(String day);
}
