package com.zy.eduservice.client;

import com.zy.commonutils.R;
import com.zy.eduservice.client.impl.VodClientImpl;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author zhangyu
 *
 */
@FeignClient(name = "service-oss", fallback = VodClientImpl.class)
@Component
public interface VodClient {
    @DeleteMapping(value = "/fileoss/upload/{videoId}")
    R removeVideo(@PathVariable("videoId") String videoId);

    @DeleteMapping("/fileoss/upload/deleteBatch")
    R deleteBatch(@RequestParam("videoIdList") List<String> videoIdList);
}
